------biter-loot

data.raw["unit"]["small-biter"].loot = {{count_max = 1, count_min = 1, item = "spoilage", probability = 0.5}}
data.raw["unit"]["medium-biter"].loot =	{{count_max = 1, count_min = 1, item = "spoilage", probability = 1}}
data.raw["unit"]["big-biter"].loot = {{count_max = 4, count_min = 2, item = "spoilage", probability = 1}}
data.raw["unit"]["behemoth-biter"].loot = {{count_max = 9, count_min = 3, item = "spoilage", probability = 1}}
data.raw["unit-spawner"]["biter-spawner"].loot = {{count_max = 25, count_min = 5, item = "spoilage", probability = 1}}

------spitters-loot

data.raw["unit"]["small-spitter"].loot = {{count_max = 1, count_min = 1, item = "spoilage", probability = 0.5}}
data.raw["unit"]["medium-spitter"].loot = {{count_max = 1, count_min = 1, item = "spoilage", probability = 1}}
data.raw["unit"]["big-spitter"].loot = {{count_max = 4, count_min = 2, item = "spoilage", probability = 1}}
data.raw["unit"]["behemoth-spitter"].loot = {{count_max = 8, count_min = 4, item = "spoilage", probability = 1}}
data.raw["unit-spawner"]["spitter-spawner"].loot = {{count_max = 25, count_min = 5, item = "spoilage", probability = 1}}

------worm-loot

data.raw["turret"]["small-worm-turret"].loot = {{count_max = 4, count_min = 2, item = "spoilage", probability = 1}}
data.raw["turret"]["medium-worm-turret"].loot = {{count_max = 9, count_min = 3, item = "spoilage", probability = 1}}
data.raw["turret"]["big-worm-turret"].loot = {{count_max = 16, count_min = 4, item = "spoilage", probability = 1}}
data.raw["turret"]["behemoth-worm-turret"].loot = {{count_max = 25, count_min = 5, item = "spoilage", probability = 1}}

------wriggler-pentapod-loot

-- data.raw["unit"]["small-wriggler-pentapod"].loot = {{count_max = 1, count_min = 1, item = "spoilage", probability = 0.5}}
-- data.raw["unit"]["medium-wriggler-pentapod"].loot = {{count_max = 1, count_min = 1, item = "spoilage", probability = 1}}
-- data.raw["unit"]["big-wriggler-pentapod"].loot = {{count_max = 4, count_min = 2, item = "spoilage", probability = 1}}

------wriggler-pentapod-premature-loot

-- data.raw["unit"]["small-wriggler-pentapod-premature"].loot = {{count_max = 1, count_min = 1, item = "spoilage", probability = 0.5}}
-- data.raw["unit"]["medium-wriggler-pentapod-premature"].loot = {{count_max = 1, count_min = 1, item = "spoilage", probability = 1}}
-- data.raw["unit"]["big-wriggler-pentapod-premature"].loot = {{count_max = 4, count_min = 2, item = "spoilage", probability = 1}}

------strafer-pentapod-loot

-- data.raw["spider-unit"]["small-strafer-pentapod"].loot = {{count_max = 9, count_min = 3, item = "spoilage", probability = 1}}
-- data.raw["spider-unit"]["medium-strafer-pentapod"].loot = {{count_max = 16, count_min = 4, item = "spoilage", probability = 1}}
-- data.raw["spider-unit"]["big-strafer-pentapod"].loot = {{count_max = 25, count_min = 5, item = "spoilage", probability = 1}}

------stomper-pentapod-loot

-- data.raw.item["small-stomper-pentapod"].loot = {{count_max = 25, count_min = 5, item = "spoilage", probability = 1}}
-- data.raw.item["medium-stomper-pentapod"].loot = {{count_max = 36, count_min = 6, item = "spoilage", probability = 1}}
-- data.raw.item["big-stomper-pentapod"].loot = {{count_max = 49, count_min = 7, item = "spoilage", probability = 1}}

local function add_loot1(spawner,item)
  if not spawner.loot then spawner.loot = {} end
  local has = false
  for _,v in pairs(spawner.loot) do
    if v.item == item.item then has = true break end
    end
  if not has then
    table.insert(spawner.loot,item)
    end
  end

add_loot1(
  data.raw["turret"]['iron-barbed-spike'],
  {item = "iron-plate",count_min = 1,count_max = 2,probability = 0.8}
)

local function add_loot2(spawner,item)
  if not spawner.loot then spawner.loot = {} end
  local has = false
  for _,v in pairs(spawner.loot) do
    if v.item == item.item then has = true break end
    end
  if not has then
    table.insert(spawner.loot,item)
    end
  end

add_loot2(
  data.raw["turret"]['steel-barbed-spike'],
  {item = "steel-plate",count_min = 1,count_max = 4,probability = 0.8}
)

local function add_loot3(spawner,item)
  if not spawner.loot then spawner.loot = {} end
  local has = false
  for _,v in pairs(spawner.loot) do
    if v.item == item.item then has = true break end
    end
  if not has then
    table.insert(spawner.loot,item)
    end
  end
  
if mods["space-age"] and true then	  

	add_loot3(
		  data.raw["turret"]['tungsten-barbed-spike'],
		  {item = "tungsten-plate",count_min = 1,count_max = 5,probability = 0.8}
	)
else
	add_loot3(
		  data.raw["turret"]['ultrasteel-barbed-spike'],
		  {item = "steel-plate",count_min = 1,count_max = 7,probability = 0.8}
	)
	
	for i = 1, #data.raw.technology["extra-barbed-spike"].prerequisites do
		effect = data.raw.technology["extra-barbed-spike"].prerequisites[i]
		if effect == "tungsten-barbed-spike" then
			index = i
		end
	end
	table.remove(data.raw.technology["extra-barbed-spike"].prerequisites, index)
	table.insert(data.raw.technology["extra-barbed-spike"].prerequisites, "ultrasteel-barbed-spike")	
	
end	



local function add_loot4(spawner,item)
  if not spawner.loot then spawner.loot = {} end
  local has = false
  for _,v in pairs(spawner.loot) do
    if v.item == item.item then has = true break end
    end
  if not has then
    table.insert(spawner.loot,item)
    end
  end

add_loot4(
  data.raw["turret"]['extra-barbed-spike'],
  {item = "uranium-238",count_min = 1,count_max = 6,probability = 0.8}
)


if mods["space-age"] and true then

else
	table.remove(data.raw["recipe"]["acid-ultrahard"].ingredients,2)
	table.insert(data.raw["recipe"]["acid-ultrahard"].ingredients, {type="item", name="uranium-235", amount=1})
end

